curl --request POST \
--url https://cloud.kaneo.app/api/activity/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"taskId": "<string>",
"userId": "<string>",
"message": "<string>",
"type": "<string>"
}
'{
"id": "<string>",
"taskId": "<string>",
"type": "comment",
"createdAt": "<unknown>",
"userId": "<string>",
"content": "<string>",
"externalUserName": "<string>",
"externalUserAvatar": "<string>",
"externalSource": "<string>",
"externalUrl": "<string>"
}Create a new activity (system-generated event)
curl --request POST \
--url https://cloud.kaneo.app/api/activity/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"taskId": "<string>",
"userId": "<string>",
"message": "<string>",
"type": "<string>"
}
'{
"id": "<string>",
"taskId": "<string>",
"type": "comment",
"createdAt": "<unknown>",
"userId": "<string>",
"content": "<string>",
"externalUserName": "<string>",
"externalUserAvatar": "<string>",
"externalSource": "<string>",
"externalUrl": "<string>"
}API Key authentication
Activity created successfully
comment, task, status_changed, priority_changed, unassigned, assignee_changed, due_date_changed, title_changed, description_changed, create